﻿@model LabMaintanance6.Models.Complain

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_layout.cshtml";
}

<!-- Include the slick CSS file -->
<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.css" />
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.js"></script>



<style>
    .complain-image {
        width: 300px; /* Set the initial width of the image */
        height: auto; /* Maintain the aspect ratio */
        cursor: pointer; /* Add cursor pointer to indicate it's clickable */
    }
</style>

<h2>Complain Details</h2>

<div class="table-responsive">
    <table class="table table-bordered">
        <tbody>
            <tr>
                <th class="table-label">
                    Name Of the Item
                </th>
                <td class="table-value">
                    @Html.DisplayFor(model => model.Name_Of_the_Item)
                </td>
            </tr>
            <tr>
                <th class="table-label">
                     Description
                </th>
                <td class="table-value">
                    @Html.DisplayFor(model => model.description)
                </td>
            </tr>
            <tr>
                <th class="table-label">
                    Location
                </th>
                <td class="table-value">
                    @Html.DisplayFor(model => model.location)
                </td>
            </tr>
            <tr>
                <th class="table-label">
                    <strong>Image:</strong>
                </th>
                <td>
                    @if (Model.image_data != null)
                    {
                        var base64Image = Convert.ToBase64String(Model.image_data);
                        var imgSrc = $"data:image;base64,{base64Image}";
                        <img src="@imgSrc" alt="Complain Image" class="complain-image img-fluid" />
                    }
                </td>
            </tr>
        
            <tr>
                <th class="table-label">
                    Priority
                </th>
                <td class="table-value">
                    @Html.DisplayFor(model => model.Priority.priority1)
                </td>
            </tr>
            <tr>
                <th class="table-label">
                    Repaired Staus
                </th>
                <td class="table-value">
                    @Html.DisplayFor(model => model.Repaired_Staus.R_Status)
                </td>
            </tr>
        </tbody>
    </table>
</div>

<!-- Include the jQuery and slick JavaScript files -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.js"></script>


<script>
    $(document).ready(function () {
        // Initialize the image slider after the document is ready
        // Note: Make sure to have the correct class name for the image slider container
        $('.complain-image-slider').slick({
            dots: true, // Show navigation dots
            arrows: true, // Show navigation arrows
            draggable: true, // Enable dragging to slide
            infinite: true, // Enable infinite loop
            slidesToShow: 1, // Show one slide at a time
            slidesToScroll: 1, // Scroll one slide at a time
            prevArrow: '<button type="button" class="slick-prev"><i class="fas fa-chevron-left"></i></button>', // Custom previous arrow
            nextArrow: '<button type="button" class="slick-next"><i class="fas fa-chevron-right"></i></button>' // Custom next arrow
        });

    // Open the image slider when clicking on the small image
    // Note: Make sure to have the correct class name for the small images
    $('.complain-image').on('click', function () {
    var imgSrc = $(this).attr('src');
    $('#modalImage').attr('src', imgSrc);
    $('#imageModal').modal('show');
});
});
</script>

<!-- Image Modal -->
<div class="modal fade" id="imageModal" tabindex="-1" role="dialog" aria-labelledby="imageModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <div class="complain-image-slider">
                    @if (Model.image_data != null)
                    {
                        var base64Image = Convert.ToBase64String(Model.image_data);
                        var imgSrc = $"data:image;base64,{base64Image}";
                        <div class="slide">
                            <img src="@imgSrc" alt="Complain Image" class="complain-image" />
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>

<div class="action-links">
    @Html.ActionLink("Update Status", "Edit", new { id = Model.complain_id }, new { @class = "btn btn-primary" })
    <a href="@Url.Action("Create", "Tech2", new { id = Model.complain_id })" class="btn btn-info btn-action" id="take-action-@Model.complain_id">Take Action</a>
    @Html.ActionLink("Back to List", "Index", null, new { @class = "btn btn-secondary" })
</div>
